#
# spec file for package google-api-python-client
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           google-api-python-client
Version:        1.2
Release:        8.2
Summary:        Google APIs Python Client
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://code.google.com/p/google-api-python-client/
Source0:        %{name}-%{version}.tar.gz
Patch0:         no_embed_uritempl_dep.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson
Requires:       python
Requires:       python-simplejson
Requires:       python-uritemplate
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Google APIs Client Library for Python

%prep
%setup -q
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG FAQ LICENSE README
%{python_sitelib}/*

%changelog
* Tue Mar  4 2014 rschweikert@suse.com
- Fix dependency issue, do not include uritemplate, this is an
  independent upstream code stream
- Add patch no_embed_uritempl_dep.patch
* Thu Feb 13 2014 rschweikert@suse.com
- include in SLE 12 (FATE #316168)
* Wed Oct 30 2013 rschweikert@suse.com
- update to version 1.2
  + The use of the gflags library is now deprecated, and is no longer a
    dependency. If you are still using the oauth2client.tools.run() function
    then include gflags as a dependency of your application or switch to
    oauth2client.tools.run_flow.
  + Samples have been updated to use the new apiclient.sample_tools, and no
    longer use gflags.
  + Added support for the experimental Object Change Notification, as found in
    the Cloud Storage API.
  + The oauth2client App Engine decorators are now threadsafe.
  + Use the following redirects feature of httplib2 where it returns the
    ultimate URL after a series of redirects to avoid multiple hops for every
    resumable media upload request.
  + Updated AdSense Management API samples to V1.3
  + Add option to automatically retry requests.
  + Ability to list registered keys in multistore_file.
  + User-agent must contain (gzip).
  + The 'method' parameter for httplib2 is not positional. This would cause
    spurious warnings in the logging.
  + Making OAuth2Decorator more extensible. Fixes Issue 256.
  + Update AdExchange Buyer API examples to version v1.2.
* Tue Aug  6 2013 rschweikert@suse.com
- Initial build
